# the versioning scheme changed for this fork
%global tarver 2014.12.29

Name:           python-html2text
Version:        3.200.3.%{tarver}
Release:        1%{?dist}
Summary:        Converts a page of HTML into plain ASCII text

Group:          Development/Libraries
License:        GPLv3
URL:            https://github.com/Alir3z4/html2text/
Source0:        https://pypi.python.org/packages/source/h/html2text/html2text-%{tarver}.tar.gz
#md5=c5bd796bdf7d1bfa43f55f1e2b5e4826

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
# BR -devel for the __python3 macro
BuildRequires:  python3-devel


%description
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...


%package -n python3-html2text
Summary: Python 3 version of %{name}
Group: Development/Libraries

%description -n python3-html2text
Python 3 based build of the %{name} package.


%prep
%setup -q -n html2text-%{tarver}


%build


%install
%{__python} setup.py install --root %{buildroot} --prefix=%{_prefix}
# new script in 3.200.3 : conflicts with package' html2text' obviously
mv %{buildroot}/usr/bin/html2text %{buildroot}/usr/bin/%{name}

%{__python3} setup.py install --root %{buildroot} --prefix=%{_prefix}
# new script in 3.200.3 : conflicts with package' html2text' obviously
mv %{buildroot}/usr/bin/html2text %{buildroot}/usr/bin/python3-html2text


%check
cd test
PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} test_html2text.py -v
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} test_html2text.py -v


%files
/usr/bin/%{name}
%{python_sitelib}/html2text*
%doc AUTHORS.rst ChangeLog.rst COPYING README.md


%files -n python3-html2text
/usr/bin/python3-html2text
%{python3_sitelib}/html2text*
%doc AUTHORS.rst ChangeLog.rst COPYING README.md


%changelog
* Sun Jan 18 2015 Michael Schwendt <mschwendt@fedoraproject.org> - 3.200.3.20141229-1
- Introduce python3-html2text package as needed by rss2email.
- Switch to html2text-2014.12.29 as forked by Alireza Savand,
  but keep the old 3.x version prefix for now.

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 3.200.3-7
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.200.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.200.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 3.200.3-4
- Merge "remove-newlines" (from alt tags) patch (Debian #299027).
- Include html2text script as python-html2script.
- Minor spec cleanup.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.200.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.200.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 3.200.3-1
- TODO: decide on the new /usr/bin/html2text this one wants to install
- update to 3.200.3

* Tue Apr 12 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3.02-2
- add disttag

* Mon Apr 11 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3.02-1
- update to 3.02
- download tarball from github
- use setuptools

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.38-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.38-2.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 04 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.38-1
- update to 2.38

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.35-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.35-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.35-1
- update to 2.35

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.34-2.1
- Rebuild for Python 2.6

* Sat Oct 11 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.34-1
- update to 2.34

* Sat Sep 27 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.33-1
- update to 2.33

* Fri Aug 01 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.32-1
- update to 2.32

* Sun Jul 27 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.31-1
- update to 2.31

* Fri Jul 04 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.30-1
- update to 2.30 (GPLv3 now)

* Fri Nov 02 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.29-1
- update to 2.29

* Thu Oct 04 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.28-1
- update to 2.28 (just one line actually different)

* Thu Oct 04 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.26-3
- BR python (fixes #317211)

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sat Mar 24 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.26-2
- Use sed instead of dos2unix

* Sat Mar 24 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.26-1
- Initial package
